# Portier

Portier is a webservice that manages video streaming authorization for [SRS](https://github.com/ossrs/srs) and orchestration of surrounding video streaming functions like restreaming, pulling, and recording.

It is based on the Django web framework, and accompanied by [concierge](https://git.chaoswest.tv/cwtv/concierge), a simple Python agent which will execute the surrounding video streaming functions.

## Status

So far I only know of ourselves (Chaos-West TV) as using this software, so it is not yet considered stable. We are using it in production, but we are also actively developing it. Functionality might radically change and break existing workflows, and we might not be able to provide support for it if you chose to run your own instance. However, if you are interested in using it, we are happy to hear from you and help you get started.

## Functionality

* User management based on Djangos built-in user management
* Authorization of video streaming requests
    * Callbacks from SRS to authorize incoming streams
* Orchestration of video streaming functions
    * Restreaming to remote targets (RTMP, SRT)

### Planned functionality

* Planned: Analyze incoming streams for quality and health
* Planned: Pulling from remote sources (RTMP, SRT)
* Planned: Recording of streams to an object storage
* Planned: Transcoding of streams and delivery via HLS
* Planned: Switching of streams for MCR functionality

### Non-goals

Right now, it is not planned to extend this into some kind of streaming platform like Tw*tch or others. This is a tool to manage and orchestrate video streaming for a specific use case. Think of it as a backoffice swiss-army knife, which we internally use almost always when we are dealing with video streaming to take care of the boring stuff.

## License

This software is licensed under the MIT License. See the `LICENSE` file for details.
