from django.urls import path
from config.views import restream, stream
from config.views.srs import callback_srs

app_name = 'config'

urlpatterns = [
    path('srs/callback', callback_srs, name='callback_srs'),
    path('streams/', stream.StreamList.as_view(), name='stream_list'),
    path('streams/<int:pk>/', stream.StreamDetail.as_view(), name='stream_detail'),
    path('streams/<int:pk>/change', stream.StreamChange.as_view(), name='stream_change'),
    path('streams/<int:pk>/delete', stream.StreamDelete.as_view(), name='stream_delete'),
    path('streams/create', stream.StreamCreate.as_view(), name='stream_create'),
    path('restream/', restream.RestreamList.as_view(), name='restream_list'),
    path('restream/<int:pk>/', restream.RestreamDetail.as_view(), name='restream_detail'),
    path('restream/<int:pk>/change', restream.RestreamUpdate.as_view(), name='restream_change'),
    path('restream/<int:pk>/delete', restream.RestreamDelete.as_view(), name='restream_delete'),
    path('restream/create', restream.RestreamCreate.as_view(), name='restream_create'),
]
